List job postings
GET
/api/v1/external/job-postings
const url = 'https://app.dover.com/api/v1/external/job-postings';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.dover.com/api/v1/external/job-postings \ --header 'Authorization: <Authorization>'List jobs published to your Dover careers page. Use this for an index or a “more jobs” section on a custom careers site. Authenticate from your backend with Authorization: Bearer <API_KEY>. Do not put the key in browser JavaScript.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
integer
Number of results to return per page.
offset
integer
The initial index from which to return the results.
Responses
Section titled “Responses”Media typeapplication/json
object
count
required
integer
next
string format: uri
previous
string format: uri
results
required
Array<object>
object
id
required
Id
string format: uuid
title
required
Title
string
locations
Array<object>
object
location_type
required
Location type
string
location_option
object
id
Id
string format: uuid
display_name
required
Display name
string
location_type
required
Location type
string
city
required
City
string
state
required
State
string
country
required
Country
string
location_option_id
required
Location option id
string format: uuid
name
required
Name
string
is_primary
Is primary
boolean
workplace_type
Workplace type
string
apply_url
Apply url
string format: uri
Example
{ "results": [ { "locations": [ { "location_type": "REMOTE", "location_option": { "location_type": "CITY" } } ] } ]}